Prepare a client for eject (deprecated)
curl --request POST \
--url https://api.portalhq.io/api/v3/custodians/me/clients/{clientId}/prepare-eject \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"walletId": "walletId",
"ejectableUntil": "2025-06-18T15:23:00.470Z"
}
'import requests
url = "https://api.portalhq.io/api/v3/custodians/me/clients/{clientId}/prepare-eject"
payload = {
"walletId": "walletId",
"ejectableUntil": "2025-06-18T15:23:00.470Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({walletId: 'walletId', ejectableUntil: '2025-06-18T15:23:00.470Z'})
};
fetch('https://api.portalhq.io/api/v3/custodians/me/clients/{clientId}/prepare-eject', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"2025-03-04T15:26:43.123Z"{
"error": "<string>"
}{
"error": "<string>"
}Wallet Shares
Prepare a client for eject (deprecated)
deprecated
Deprecated. Use the enable-eject endpoint instead.
Prepare a wallet for ejection of its private keys.
POST
/
custodians
/
me
/
clients
/
{clientId}
/
prepare-eject
Prepare a client for eject (deprecated)
Authorizations
Portal API Key (Custodian API Key). Pass as a Bearer token in the Authorization header.
Path Parameters
The unique identifier of the client.
Body
application/json
Response
Wallet prepared for ejection
The ejectableUntil timestamp
Was this page helpful?
⌘I